# XQilla Simple API Documentation

# NSFixupFilter Class Reference

`#include <NSFixupFilter.hpp>`

Inheritance diagram for NSFixupFilter:
[legend]

List of all members.

## Classes

struct | ElemEntry
struct | NSEntry

## Public Member Functions

| NSFixupFilter (EventHandler *next, XPath2MemoryManager *mm)
| ~NSFixupFilter ()
virtual void | startDocumentEvent (const XMLCh *documentURI, const XMLCh *encoding)
| Handles a document node as an event.
virtual void | endDocumentEvent ()
| Handles a document node as an event.
virtual void | startElementEvent (const XMLCh *prefix, const XMLCh *uri, const XMLCh *localname)
| Handles the start of an element node as an event.
virtual void | endElementEvent (const XMLCh *prefix, const XMLCh *uri, const XMLCh *localname, const XMLCh *typeURI, const XMLCh *typeName)
| Handles the end of an element node as an event.
virtual void | attributeEvent (const XMLCh *prefix, const XMLCh *uri, const XMLCh *localname, const XMLCh *value, const XMLCh *typeURI, const XMLCh *typeName)
| Handles an attribute node as an event.
virtual void | namespaceEvent (const XMLCh *prefix, const XMLCh *uri)
| Handles a namespace binding as an event.

## Constructor & Destructor Documentation

NSFixupFilter::NSFixupFilter | ( | EventHandler * | next,
|  | XPath2MemoryManager * | mm |
| ) |  |  |

NSFixupFilter::~NSFixupFilter | ( |  | ) |

## Member Function Documentation

virtual void NSFixupFilter::attributeEvent | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri,
|  | const XMLCh * | localname,
|  | const XMLCh * | value,
|  | const XMLCh * | typeURI,
|  | const XMLCh * | typeName |
| ) |  |  | `[virtual]`

Handles an attribute node as an event.

Reimplemented from EventFilter.

virtual void NSFixupFilter::endDocumentEvent | ( |  | ) | `[virtual]`

Handles a document node as an event.

Reimplemented from EventFilter.

virtual void NSFixupFilter::endElementEvent | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri,
|  | const XMLCh * | localname,
|  | const XMLCh * | typeURI,
|  | const XMLCh * | typeName |
| ) |  |  | `[virtual]`

Handles the end of an element node as an event.

Reimplemented from EventFilter.

virtual void NSFixupFilter::namespaceEvent | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri |
| ) |  |  | `[virtual]`

Handles a namespace binding as an event.

Reimplemented from EventFilter.

virtual void NSFixupFilter::startDocumentEvent | ( | const XMLCh * | documentURI,
|  | const XMLCh * | encoding |
| ) |  |  | `[virtual]`

Handles a document node as an event.

Reimplemented from EventFilter.

virtual void NSFixupFilter::startElementEvent | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri,
|  | const XMLCh * | localname |
| ) |  |  | `[virtual]`

Handles the start of an element node as an event.

Reimplemented from EventFilter.

The documentation for this class was generated from the following file:

- NSFixupFilter.hpp